org.apache.sysds.runtime.controlprogram.parfor

## Class ResultMergeMatrix

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ResultMerge<MatrixObject>
  - - org.apache.sysds.runtime.controlprogram.parfor.ResultMergeMatrix

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ResultMergeLocalAutomatic, ResultMergeLocalFile, ResultMergeLocalMemory, ResultMergeRemoteSpark, ResultMergeRemoteSparkWCompare

    public abstract class ResultMergeMatrix
    extends ResultMerge<MatrixObject>
    implements Serializable

Due to independence of all iterations, any result has the following properties: (1) non local var, (2) matrix object, and (3) completely independent. These properties allow us to realize result merging in parallel without any synchronization.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResultMergeMatrix()`
`ResultMergeMatrix(MatrixObject out, MatrixObject[] in, String outputFilename, boolean accum)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.ResultMerge

`executeParallelMerge, executeSerialMerge`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultMergeMatrix

    public ResultMergeMatrix()

#### ResultMergeMatrix

    public ResultMergeMatrix(MatrixObject out,
                             MatrixObject[] in,
                             String outputFilename,
                             boolean accum)